
package de.ivu.elect.presentation.lokalisierung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.lokalisierung.entity.LokalisierungMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.lokalisierung.exchange.LokalisierungImportDescription;

public class LokalisierungImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient LokalisierungMeta meta;

  @Inject
  private transient LokalisierungImportDescription importDescription;

  public LokalisierungImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected Meta getMeta() {
    return meta;
  }

  @Override
  public String getLabelKey() {
    return "lokalisierung.import.menu.item.label";
  }
}
